/*
 * Copyright 2015-2018 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package example.springdata.jpa.customall;

import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.NoRepositoryBean;

/**
 * A base repository interface declaring a custom method shared amongst all repositories.
 *
 * @author Oliver Gierke
 * @see ExtendedJpaRepository
 * @soundtrack Tim Neuhaus - As life found you (The Cabinet)
 */
@NoRepositoryBean
interface BaseRepository<T> extends CrudRepository<T, Long> {

	long customMethod();
}
